Campaigns
Get campaign progress
GET
/
v1
/
campaigns
/
{campaignID}
/
progress
Get campaign progress
curl --request GET \
--url https://api.wazapin.com/v1/campaigns/{campaignID}/progressconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/campaigns/{campaignID}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/campaigns/{campaignID}/progress"
response = requests.get(url)
print(response.text){
"accepted": 123,
"completion_rate": 123,
"delivered": 123,
"delivery_rate": 123,
"failed": 123,
"open_rate": 123,
"pending": 123,
"processed": 123,
"read": 123,
"sent": 123,
"skipped": 123,
"total": 123,
"fail_reasons": [
{
"count": 123,
"reason": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Response
OK
Show child attributes
Show child attributes
⌘I
Get campaign progress
curl --request GET \
--url https://api.wazapin.com/v1/campaigns/{campaignID}/progressconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/campaigns/{campaignID}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/campaigns/{campaignID}/progress"
response = requests.get(url)
print(response.text){
"accepted": 123,
"completion_rate": 123,
"delivered": 123,
"delivery_rate": 123,
"failed": 123,
"open_rate": 123,
"pending": 123,
"processed": 123,
"read": 123,
"sent": 123,
"skipped": 123,
"total": 123,
"fail_reasons": [
{
"count": 123,
"reason": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}